QGIS Application - Bug report #10709
Bigint (qlonglong) support for expressions
2014-06-25 01:44 AM - Michael Douchin

Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19102
Description

Dealing with 2 geometryless tables

When join fields are bigint, children are not displayed in the subform if the integer are too long, but you can still add a new one.
Only children with integer values under the bigint are displayed.

See attached images :
Table definition :

CREATE TABLE avig_adresse."Pere"
(
id_pere bigint,
pere text
)
WITH (
OIDS=FALSE

);

CREATE TABLE avig_adresse."Enfant"
(
id_enfant integer,
id_pere bigint,
enfant text
)
WITH (
OIDS=FALSE

);
History

#1 - 2014-06-25 01:50 AM - Matthias Kuhn

Can you please perform a quick test:
Open the field calculator on the Enfant layer and create a new column based on the following expression

id_pere=840070000002

#2 - 2014-06-25 02:53 AM - Michael Douchin

- File relation_bigint_5.png added

The reporter did this :

newcol : smallint

newcol2 : text

id_enfant id_pere enfant newcol newcol2
2 | 340070000002 EBE 11
1 1| 840070000001 Al o0

| except you need more than this ?
- Should he create a newcol3 in integer format (not bigint) ?

- Should he try to change the relation and use the newcolX instead of the bigint id ?

#3 - 2014-06-25 04:40 AM - Matthias Kuhn
- Category changed from Relations to Expressions

| tracked it down to an error in the expression engine. It internally handles bigint as double, what causes some problems under certain situations.

| proposed a workaround here https://github.com/qgis/QGIS/pull/1488 (closed unmerged)

#4 - 2014-06-25 07:08 AM - Michael Douchin

- Category changed from Expressions to Relations

Hi

It seems your workaround has not been merge. Do you think there will be a solution before 2.4 ?

Thanks for your help

#5 - 2014-06-25 09:50 AM - Matthias Kuhn
- Assignee deleted (Matthias Kuhn)
- Category changed from Relations to Expressions

Yes, a discussion revealed that it is too risky to introduce this change so short before the release.
https://github.com/qgis/QGIS/pull/1488

It's quite hard to fix the current situation and | miss some information to judge possible solutions.

#6 - 2014-06-26 12:27 AM - Michael Douchin
- Target version changed from Version 2.4 to Future Release - High Priority

Ok, thanks for your help anyway ! | change the target version .

#7 - 2014-06-26 09:35 AM - Matthias Kuhn

- Subject changed from Relation - Hidden children if parent id are bigint to Bigint (qlonglong) support for expressions

#8 - 2014-06-27 05:35 AM - Michael Douchin

While waiting for the fix, the users can use text fields instead of bigint as a workaround to do the joins.

#9 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#10 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
